$(document).ready(function () {

    flatpickr("#fecha_desde", {
        dateFormat:"d/m/Y"
    })

    flatpickr("#fecha_hasta", {
        dateFormat:"d/m/Y"
    })

    $(document).on('click','.btnVerReporte',function(e){

        e.preventDefault();

        if($("#fecha_desde").val() == ''){
            alertify.warning("Seleccione fecha desde");
            return;
        }
        if($("#fecha_hasta").val() == ''){
            alertify.warning("Seleccione fecha hasta");
            return;
        }

        var tbody = $('.tblReporteConvocatorias tbody');
        tbody.empty();

        $.get("/bolsatrabajo/reporte/convocatorias/lista", {
                fecha_desde: funciones.convertFecha($('#fecha_desde').val()),
                fecha_hasta: funciones.convertFecha($('#fecha_hasta').val()),
            },
            function (data) {

                var tbody = $('.tblReporteConvocatorias tbody');
                if(data.length == 0) {
                    tbody.append('<tr><td colspan="7"><center><span class="bg-warning badge me-3">No se encontraron registros.</span></center></td></tr>');
                }else {
                    $.each(data, function (idx, obj) {
                        var templateHtml = Handlebars.compile($('#tplReporteConvocatorias').html());
                        var html = templateHtml({
                            index: idx + 1,
                            codigo: obj.conv_codigo,
                            convocatoria: obj.descripcion,
                            plazas: obj.conv_numero_plazas,
                            empresa: obj.razon_social,
                            resultado: '',
                            estado: obj.conv_estado_convocatoria,
                        });

                        tbody.append(html);
                    });
                }
            }, "json");
    });

    $(document).on('click','.btnDescargarReporte',function(e){

        let fecha_desde = funciones.convertFecha($('#fecha_desde').val());
        let fecha_hasta = funciones.convertFecha($('#fecha_hasta').val());
        let proest_id = $('#proest_id').val();
        let plaest_id = $('#plaest_id').val();
        let coca_id = $('#coca_id').val();

        let url = "/reporte/caja/matricula/excel?fecha_desde=" + fecha_desde + "&fecha_hasta=" + fecha_hasta + "&proest_id=" + proest_id + "&plaest_id=" + plaest_id + "&coca_id=" + coca_id;

        $(this).attr('href',url);
    });
});